//
// C header: calib
//
// Description: Calibration for data streams in owwlog
//
//
// Author: Simon Melhuish <simon@melhuish.info>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef CALIB_H

#define CALIB_H 1

#include "owwl.h"

void *calib_new(owwl_conn *conn, owwl_data *data, char *caldir) ;

int calib_eval(owwl_conn *conn, owwl_data *data) ;



/*enum calib_state_enum {
  calib_unknown = 0,
  calib_none,
  calib_available
} ;

int calib_run(owwl_conn *conn, char *caldir) ;*/

#endif
