/* file.h */

#ifndef FILE_H
#define FILE_H 1

#define FILE_CHECK_OK 0
#define FILE_CHECK_ERROR -1
#define FILE_CREATE_OK 0
#define FILE_CREATE_ERROR -1

typedef int (* FileMaker) (char *name, void *user_data) ;

int file_check_dir(char *dir_name, int create) ;
int file_check_file(char *file_name, int create, FileMaker func, void *user_data) ;

#endif
